## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname glad2

Name:           python-%{srcname}
Version:        2.0.8
Release:        %autorelease
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator

# Mostly MIT, Apache-2.0 for Khronos and EGL specifications/headers.
License:        MIT and Apache-2.0
URL:            https://github.com/Dav1dde/glad
Source0:        %pypi_source %{srcname}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.


%package -n     %{srcname}
Summary:        %{summary}

Requires:       python3-glad2 = %{version}-%{release}

%description -n %{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%package -n     python3-%{srcname}
Summary:        %{summary}

Conflicts:      python3-glad

%description -n python3-%{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '1{\@^#!@d}' glad/__main__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l glad

%files -n %{srcname}
%doc README.md
%license LICENSE
%{_bindir}/glad

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Mon Sep 30 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.8-2
- Configure Packit for release automation

* Mon Sep 30 2024 Packit <hello@packit.dev> - 2.0.8-1
- Update to 2.0.8 upstream release
- Resolves: rhbz#2315534

* Sun Sep 22 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.7-1
- Update to latest version (#2310171)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0.6-2
- Rebuilt for Python 3.13

* Fri Mar 22 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.6-1
- Update to latest version (#2270163)

* Sun Feb 04 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.5-1
- Update to latest version (#2262663)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.0.4-2
- Rebuilt for Python 3.12

* Sun Feb 19 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.4-1
- Update to latest version (#2170962)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version (#2157949)

* Wed Dec 21 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- import #2154631
## END: Generated by rpmautospec
